## NMSettingOvsPatch NMSettingOvsPatch — Describes connection properties for Open vSwitch patch interfaces. |

## Functions

NMSetting * | nm_setting_ovs_patch_new ()
const char * | nm_setting_ovs_patch_get_peer ()

## Types and Values

#define | NM_SETTING_OVS_PATCH_SETTING_NAME
#define | NM_SETTING_OVS_PATCH_PEER

## Description

The NMSettingOvsPatch object is a NMSetting subclass that describes properties necessary for Open vSwitch interfaces of type "patch".

## Functions

### nm_setting_ovs_patch_new ()

    NMSetting *
    nm_setting_ovs_patch_new (void);

Creates a new NMSettingOvsPatch object with default values.

#### Returns

the new empty NMSettingOvsPatch object.

[transfer full]

Since: 1.10

### nm_setting_ovs_patch_get_peer ()

    const char *
    nm_setting_ovs_patch_get_peer (NMSettingOvsPatch *self);

#### Parameters

self | the NMSettingOvsPatch |

#### Returns

the “peer” property of the setting

Since: 1.10

## Types and Values

### NM_SETTING_OVS_PATCH_SETTING_NAME

    #define NM_SETTING_OVS_PATCH_SETTING_NAME "ovs-patch"

### NM_SETTING_OVS_PATCH_PEER

    #define NM_SETTING_OVS_PATCH_PEER "peer"